<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Sat Jun 11 22:07:23 CEST 2022 -->
<title>Partie</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-06-11">
<meta name="description" content="declaration: module: ihm.javafx, package: back.partie, class: Partie">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../module-summary.html">Module</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field-summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field-detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="module-label-in-type">Module</span>&nbsp;<a href="../../module-summary.html">ihm.javafx</a></div>
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">back.partie</a></div>
<h1 title="Class Partie" class="title">Class Partie</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">back.partie.Partie</div>
</div>
<section class="class-description" id="class-description">
<hr>
<div class="type-signature"><span class="modifiers">public final class </span><span class="element-name type-name-label">Partie</span>
<span class="extends-implements">extends <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span></div>
<div class="block">Classe (singleton) representant une partie.
 Une partie contient :
 - une liste de joueurs.
 - une pioche.
 - un tas.
 Par defaut, une partie se deroule dans le sens horaire.</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field-summary">
<h2>Field Summary</h2>
<div class="caption"><span>Fields</span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Field</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>static final int</code></div>
<div class="col-second even-row-color"><code><a href="#NOMBRE_CARTE_PIOCHER_CONTRE_UNO" class="member-name-link">NOMBRE_CARTE_PIOCHER_CONTRE_UNO</a></code></div>
<div class="col-last even-row-color">
<div class="block">nombre de carte a piocher suite a un contre uno.</div>
</div>
<div class="col-first odd-row-color"><code>static final int</code></div>
<div class="col-second odd-row-color"><code><a href="#NOMBRE_CARTE_PIOCHER_COUP_INTERDIT" class="member-name-link">NOMBRE_CARTE_PIOCHER_COUP_INTERDIT</a></code></div>
<div class="col-last odd-row-color">
<div class="block">nombre de carte a piocher suite a un coup interdit.</div>
</div>
<div class="col-first even-row-color"><code>static final int</code></div>
<div class="col-second even-row-color"><code><a href="#NOMBRE_CARTE_PIOCHER_TOUR_INTERDIT" class="member-name-link">NOMBRE_CARTE_PIOCHER_TOUR_INTERDIT</a></code></div>
<div class="col-last even-row-color">
<div class="block">nombre de carte a piocher suite a non respect de son tour de jeu.</div>
</div>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E()" class="member-name-link">Partie</a>()</code></div>
<div class="col-last even-row-color">
<div class="block">Constructeur par defaut d'une partie.</div>
</div>
<div class="col-constructor-name odd-row-color"><code><a href="#%3Cinit%3E(java.util.ArrayList,java.util.ArrayList,back.regles.Regles)" class="member-name-link">Partie</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&gt;&nbsp;pioche,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&gt;&nbsp;joueurs,
 <a href="../regles/Regles.html" title="class in back.regles">Regles</a>&nbsp;reglesDuJeu)</code></div>
<div class="col-last odd-row-color">
<div class="block">Constructeur d'une partie avec la pioche, les joueurs et les regles.</div>
</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab1" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab1', 3)" class="table-tab">Static Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#ajouter(back.joueur.Joueur)" class="member-name-link">ajouter</a><wbr>(<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueur)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#ajouterCartePioche(back.carte.Carte)" class="member-name-link">ajouterCartePioche</a><wbr>(<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carte)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#changementSens()" class="member-name-link">changementSens</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#distributionCarte(int)" class="member-name-link">distributionCarte</a><wbr>(int&nbsp;nombreCarteParJoueur)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Distribue @nombreCarteParJoueur, une par une a chaque joueur dans le sens horaire,
 et pose la premiere carte du tas.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="../carte/Carte.html" title="class in back.carte">Carte</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getCartePioche(int)" class="member-name-link">getCartePioche</a><wbr>(int&nbsp;indice)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="../carte/Carte.html" title="class in back.carte">Carte</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getCarteTas()" class="member-name-link">getCarteTas</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Renvoie la carte au sommet du tas.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="../carte/Carte.html" title="class in back.carte">Carte</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getCarteTas(int)" class="member-name-link">getCarteTas</a><wbr>(int&nbsp;indice)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="Partie.html" title="class in back.partie">Partie</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#getInstance()" class="member-name-link">getInstance</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getJoueur(int)" class="member-name-link">getJoueur</a><wbr>(int&nbsp;indice)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getJoueurCourant()" class="member-name-link">getJoueurCourant</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getJoueurs()" class="member-name-link">getJoueurs</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getJoueurSuivant()" class="member-name-link">getJoueurSuivant</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getJoueurSuivant(back.joueur.Joueur)" class="member-name-link">getJoueurSuivant</a><wbr>(<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueur)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Selon le sens de la partie, on renvoie le joueur suivant le joueur courant.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getJoueurSUivant()" class="member-name-link">getJoueurSUivant</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getNombreCartePioche()" class="member-name-link">getNombreCartePioche</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getNombreCarteTas()" class="member-name-link">getNombreCarteTas</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getNombreJoueur()" class="member-name-link">getNombreJoueur</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getPioche()" class="member-name-link">getPioche</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="../regles/Regles.html" title="class in back.regles">Regles</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getRegles()" class="member-name-link">getRegles</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getTas()" class="member-name-link">getTas</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#initialiser(back.parsage.JeuDeCarte)" class="member-name-link">initialiser</a><wbr>(<a href="../parsage/JeuDeCarte.html" title="class in back.parsage">JeuDeCarte</a>&nbsp;jeuDeCarte)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Parse un fichier contenant les cartes de la partie.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#initialiserRegle()" class="member-name-link">initialiserRegle</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Initialise les regles d'une partie.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#isSensHoraire()" class="member-name-link">isSensHoraire</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="../carte/Carte.html" title="class in back.carte">Carte</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#pioche()" class="member-name-link">pioche</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Renvoie la carte au sommet de la pioche.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#poser(back.carte.Carte)" class="member-name-link">poser</a><wbr>(<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carte)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Pose une carte au sommet du tas.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#reset()" class="member-name-link">reset</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Reinitialise la partie.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#retirer(back.joueur.Joueur)" class="member-name-link">retirer</a><wbr>(<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueur)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#retirerCartePioche(int)" class="member-name-link">retirerCartePioche</a><wbr>(int&nbsp;indice)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#retirerCarteTas(int)" class="member-name-link">retirerCarteTas</a><wbr>(int&nbsp;indice)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setJoueurs(java.util.ArrayList)" class="member-name-link">setJoueurs</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&gt;&nbsp;joueurs)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setJoueurSuivant()" class="member-name-link">setJoueurSuivant</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setJoueurSuivant(back.joueur.Joueur)" class="member-name-link">setJoueurSuivant</a><wbr>(<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueurSuivant)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setPioche(java.util.ArrayList)" class="member-name-link">setPioche</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&gt;&nbsp;pioche)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setPremierJoueur(back.joueur.Joueur)" class="member-name-link">setPremierJoueur</a><wbr>(<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueur)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setRegles(back.regles.Regles)" class="member-name-link">setRegles</a><wbr>(<a href="../regles/Regles.html" title="class in back.regles">Regles</a>&nbsp;regles)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field-detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="NOMBRE_CARTE_PIOCHER_COUP_INTERDIT">
<h3>NOMBRE_CARTE_PIOCHER_COUP_INTERDIT</h3>
<div class="member-signature"><span class="modifiers">public static final</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">NOMBRE_CARTE_PIOCHER_COUP_INTERDIT</span></div>
<div class="block">nombre de carte a piocher suite a un coup interdit.</div>
<dl class="notes">
<dt>See Also:</dt>
<dd>
<ul class="see-list">
<li><a href="../../../constant-values.html#back.partie.Partie.NOMBRE_CARTE_PIOCHER_COUP_INTERDIT">Constant Field Values</a></li>
</ul>
</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="NOMBRE_CARTE_PIOCHER_TOUR_INTERDIT">
<h3>NOMBRE_CARTE_PIOCHER_TOUR_INTERDIT</h3>
<div class="member-signature"><span class="modifiers">public static final</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">NOMBRE_CARTE_PIOCHER_TOUR_INTERDIT</span></div>
<div class="block">nombre de carte a piocher suite a non respect de son tour de jeu.</div>
<dl class="notes">
<dt>See Also:</dt>
<dd>
<ul class="see-list">
<li><a href="../../../constant-values.html#back.partie.Partie.NOMBRE_CARTE_PIOCHER_TOUR_INTERDIT">Constant Field Values</a></li>
</ul>
</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="NOMBRE_CARTE_PIOCHER_CONTRE_UNO">
<h3>NOMBRE_CARTE_PIOCHER_CONTRE_UNO</h3>
<div class="member-signature"><span class="modifiers">public static final</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">NOMBRE_CARTE_PIOCHER_CONTRE_UNO</span></div>
<div class="block">nombre de carte a piocher suite a un contre uno.</div>
<dl class="notes">
<dt>See Also:</dt>
<dd>
<ul class="see-list">
<li><a href="../../../constant-values.html#back.partie.Partie.NOMBRE_CARTE_PIOCHER_CONTRE_UNO">Constant Field Values</a></li>
</ul>
</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(java.util.ArrayList,java.util.ArrayList,back.regles.Regles)">
<h3>Partie</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">Partie</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&gt;&nbsp;pioche,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&gt;&nbsp;joueurs,
 <a href="../regles/Regles.html" title="class in back.regles">Regles</a>&nbsp;reglesDuJeu)</span></div>
<div class="block">Constructeur d'une partie avec la pioche, les joueurs et les regles.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>pioche</code> - les cartes du jeu.</dd>
<dd><code>joueurs</code> - la joueurs.</dd>
<dd><code>reglesDuJeu</code> - les regles de la partie.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>Partie</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">Partie</span>()</div>
<div class="block">Constructeur par defaut d'une partie.</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="setPioche(java.util.ArrayList)">
<h3>setPioche</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setPioche</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&gt;&nbsp;pioche)</span></div>
</section>
</li>
<li>
<section class="detail" id="setJoueurs(java.util.ArrayList)">
<h3>setJoueurs</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setJoueurs</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&gt;&nbsp;joueurs)</span></div>
</section>
</li>
<li>
<section class="detail" id="setRegles(back.regles.Regles)">
<h3>setRegles</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setRegles</span><wbr><span class="parameters">(<a href="../regles/Regles.html" title="class in back.regles">Regles</a>&nbsp;regles)</span></div>
</section>
</li>
<li>
<section class="detail" id="changementSens()">
<h3>changementSens</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">changementSens</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setJoueurSuivant()">
<h3>setJoueurSuivant</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setJoueurSuivant</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setJoueurSuivant(back.joueur.Joueur)">
<h3>setJoueurSuivant</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setJoueurSuivant</span><wbr><span class="parameters">(<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueurSuivant)</span></div>
</section>
</li>
<li>
<section class="detail" id="setPremierJoueur(back.joueur.Joueur)">
<h3>setPremierJoueur</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setPremierJoueur</span><wbr><span class="parameters">(<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueur)</span></div>
</section>
</li>
<li>
<section class="detail" id="getInstance()">
<h3>getInstance</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="Partie.html" title="class in back.partie">Partie</a></span>&nbsp;<span class="element-name">getInstance</span>()</div>
</section>
</li>
<li>
<section class="detail" id="isSensHoraire()">
<h3>isSensHoraire</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">isSensHoraire</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getRegles()">
<h3>getRegles</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../regles/Regles.html" title="class in back.regles">Regles</a></span>&nbsp;<span class="element-name">getRegles</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getPioche()">
<h3>getPioche</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&gt;</span>&nbsp;<span class="element-name">getPioche</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getTas()">
<h3>getTas</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&gt;</span>&nbsp;<span class="element-name">getTas</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getJoueurSUivant()">
<h3>getJoueurSUivant</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a></span>&nbsp;<span class="element-name">getJoueurSUivant</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getJoueurs()">
<h3>getJoueurs</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&gt;</span>&nbsp;<span class="element-name">getJoueurs</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getNombreJoueur()">
<h3>getNombreJoueur</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getNombreJoueur</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getJoueur(int)">
<h3>getJoueur</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a></span>&nbsp;<span class="element-name">getJoueur</span><wbr><span class="parameters">(int&nbsp;indice)</span></div>
</section>
</li>
<li>
<section class="detail" id="getNombreCartePioche()">
<h3>getNombreCartePioche</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getNombreCartePioche</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getNombreCarteTas()">
<h3>getNombreCarteTas</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getNombreCarteTas</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getCarteTas()">
<h3>getCarteTas</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../carte/Carte.html" title="class in back.carte">Carte</a></span>&nbsp;<span class="element-name">getCarteTas</span>()</div>
<div class="block">Renvoie la carte au sommet du tas.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>Carte la carte du sommet du tas.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getCartePioche(int)">
<h3>getCartePioche</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../carte/Carte.html" title="class in back.carte">Carte</a></span>&nbsp;<span class="element-name">getCartePioche</span><wbr><span class="parameters">(int&nbsp;indice)</span></div>
</section>
</li>
<li>
<section class="detail" id="getCarteTas(int)">
<h3>getCarteTas</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../carte/Carte.html" title="class in back.carte">Carte</a></span>&nbsp;<span class="element-name">getCarteTas</span><wbr><span class="parameters">(int&nbsp;indice)</span></div>
</section>
</li>
<li>
<section class="detail" id="getJoueurCourant()">
<h3>getJoueurCourant</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a></span>&nbsp;<span class="element-name">getJoueurCourant</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getJoueurSuivant(back.joueur.Joueur)">
<h3>getJoueurSuivant</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a></span>&nbsp;<span class="element-name">getJoueurSuivant</span><wbr><span class="parameters">(<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueur)</span></div>
<div class="block">Selon le sens de la partie, on renvoie le joueur suivant le joueur courant.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>Joueur : Le joueur suivant.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getJoueurSuivant()">
<h3>getJoueurSuivant</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a></span>&nbsp;<span class="element-name">getJoueurSuivant</span>()</div>
</section>
</li>
<li>
<section class="detail" id="ajouter(back.joueur.Joueur)">
<h3>ajouter</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">ajouter</span><wbr><span class="parameters">(<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueur)</span></div>
</section>
</li>
<li>
<section class="detail" id="retirer(back.joueur.Joueur)">
<h3>retirer</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">retirer</span><wbr><span class="parameters">(<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueur)</span></div>
</section>
</li>
<li>
<section class="detail" id="ajouterCartePioche(back.carte.Carte)">
<h3>ajouterCartePioche</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">ajouterCartePioche</span><wbr><span class="parameters">(<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carte)</span></div>
</section>
</li>
<li>
<section class="detail" id="retirerCartePioche(int)">
<h3>retirerCartePioche</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">retirerCartePioche</span><wbr><span class="parameters">(int&nbsp;indice)</span></div>
</section>
</li>
<li>
<section class="detail" id="retirerCarteTas(int)">
<h3>retirerCarteTas</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">retirerCarteTas</span><wbr><span class="parameters">(int&nbsp;indice)</span></div>
</section>
</li>
<li>
<section class="detail" id="pioche()">
<h3>pioche</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../carte/Carte.html" title="class in back.carte">Carte</a></span>&nbsp;<span class="element-name">pioche</span>()</div>
<div class="block">Renvoie la carte au sommet de la pioche.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>Carte la carte du sommet de la pioche.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="poser(back.carte.Carte)">
<h3>poser</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">poser</span><wbr><span class="parameters">(<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carte)</span></div>
<div class="block">Pose une carte au sommet du tas.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>carte</code> - La carte a poser.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="distributionCarte(int)">
<h3>distributionCarte</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">distributionCarte</span><wbr><span class="parameters">(int&nbsp;nombreCarteParJoueur)</span></div>
<div class="block">Distribue @nombreCarteParJoueur, une par une a chaque joueur dans le sens horaire,
 et pose la premiere carte du tas.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>nombreCarteParJoueur</code> - Le nombre de carte a piocher.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="initialiserRegle()">
<h3>initialiserRegle</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">initialiserRegle</span>()</div>
<div class="block">Initialise les regles d'une partie.</div>
</section>
</li>
<li>
<section class="detail" id="initialiser(back.parsage.JeuDeCarte)">
<h3>initialiser</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">initialiser</span><wbr><span class="parameters">(<a href="../parsage/JeuDeCarte.html" title="class in back.parsage">JeuDeCarte</a>&nbsp;jeuDeCarte)</span></div>
<div class="block">Parse un fichier contenant les cartes de la partie. Et creer la pioche de
 celle-ci.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>jeuDeCarte</code> - l'ensemble des cartes du jeu.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="reset()">
<h3>reset</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">reset</span>()</div>
<div class="block">Reinitialise la partie.</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
